org.springframework.jca.cci

## Class InvalidResultSetAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessResourceUsageException
              - - org.springframework.jca.cci.InvalidResultSetAccessException

All Implemented Interfaces:
  Serializable

    public class InvalidResultSetAccessException
    extends InvalidDataAccessResourceUsageException

Exception thrown when a ResultSet has been accessed in an invalid fashion. Such exceptions always have a `java.sql.SQLException` root cause.

This typically happens when an invalid ResultSet column index or name has been specified.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `ResultSet`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidResultSetAccessException(String msg, SQLException ex)` Constructor for InvalidResultSetAccessException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidResultSetAccessException

    public InvalidResultSetAccessException(String msg,
                                   SQLException ex)

Constructor for InvalidResultSetAccessException.

Parameters:
  `msg` - message
  `ex` - the root cause